#!/bin/bash


./configure --host i686-w64-mingw32

VERSION="$(grep -w PACKAGE_VERSION config.h | cut -d' ' -f3 | sed -e's/"//g')"

D="gcmc-${VERSION}"
rm -rf "${D}" "${D}.zip"
mkdir "${D}" "${D}/library" "${D}/doc" "${D}/example"

make clean all

strip src/gcmc.exe
cp src/gcmc.exe "${D}/"

# Copy the library routines
cp	library/canned_drill.inc.gcmc \
	library/tracepath.inc.gcmc \
	library/tracepath_comp.inc.gcmc \
	"${D}/library"

# Copy the documentation
man2html -r doc/gcmc.1 | tail -n+3 > "${D}/doc/gcmc.1.html"
cp	doc/gcmc-funcref.html \
	doc/gcmc-intro.html \
	doc/gcmc-syntax.html \
	doc/gcmc-library.html \
	doc/gcmc.css \
	doc/involute-basics.png \
	doc/involute-tooth-side.png \
	"${D}/doc"

# Copy the examples
cp	example/canned.gcmc \
	example/cc_hole.gcmc \
	example/cc_hole.inc.gcmc \
	example/cutter.gcmc \
	example/edm-pro-box.gcmc \
	example/floret-vogel.gcmc \
	example/involute-gear.gcmc \
	example/involute-gear.inc.gcmc \
	example/tool-compensate.gcmc \
	example/trochoidal.gcmc \
	example/wheels.gcmc \
	example/examples.txt \
	example/buildexample.sh \
	"${D}/example"

zip -r "${D}.zip" "${D}/"
rm -rf "${D}"
